You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

31 lines
1.1 KiB

From 327d765512135721a323822a8b10ac1539bd20c6 Mon Sep 17 00:00:00 2001
From: Harald Hoyer <harald@redhat.com>
Date: Thu, 17 Sep 2015 20:03:54 +0200
Subject: [PATCH] dracut.sh: no microcode, if get_ucode_file returns empty file
check, if get_ucode_file() returned an empty string.
---
dracut.sh | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/dracut.sh b/dracut.sh
index 980c7ff9..4e4f222b 100755
--- a/dracut.sh
+++ b/dracut.sh
@@ -1489,12 +1489,12 @@ if [[ $early_microcode = yes ]]; then
dinfo "*** Constructing ${ucode_dest[$idx]} ****"
if [[ $hostonly ]]; then
_src=$(get_ucode_file)
- if ! [[ -r $_fwdir/$_fw/$_src ]];then
- break;
- fi
+ [[ $src ]] || break
+ [[ -r $_fwdir/$_fw/$_src ]] || break
fi
+
for i in $_fwdir/$_fw/$_src; do
- [ -e $i ] && break
+ [ -e "$i" ] && break
break 2
done
cat $_fwdir/$_fw/$_src > $_dest_dir/${ucode_dest[$idx]}